<?php
/**
 * @package 	WordPress
 * @subpackage 	Shopaddict
 * @version 	1.0.0
 *
 * Content Composer Image Shortcode
 * Created by CMSMasters
 *
 */


extract(shortcode_atts($new_atts, $atts));


$out = '';


if ($content != null) {
	if ($align == 'left') {
		$img_align = ' cmsmasters_image_l';
	} elseif ($align == 'right') {
		$img_align = ' cmsmasters_image_r';
	} elseif ($align == 'center') {
		$img_align = ' cmsmasters_image_c';
	} else {
		$img_align = ' cmsmasters_image_n';
	}


	$image_thumb = explode('|', $content);

	$image_id = $image_thumb[0];


	if (!isset($image_thumb[2]) || $image_thumb[2] == '') {
		$image_size = 'full';
	} else {
		$image_size = $image_thumb[2];
	}


	if (is_numeric($image_id)) {
		$image = wp_get_attachment_image_src($image_id, $image_size);

		$image_src = $image[0];

		$image_alt = trim(strip_tags(get_post_meta($image_id, '_wp_attachment_image_alt', true)));

		$out .= ($align == 'center' ? '<div class="aligncenter">' : '');


		$out .= '<div class="cmsmasters_img ' . esc_attr($img_align) .
		        (($caption != '') ? ' with_caption' : '') .
		        (($classes != '') ? ' ' . esc_attr($classes) : '') .
		        '"' .
		        (($animation != '') ? ' data-animation="' . esc_attr($animation) . '"' : '') .
		        (($animation != '' && $animation_delay != '') ? ' data-delay="' . esc_attr($animation_delay) . '"' : '') .
		        '>' .
		        ($link != '' ? '<a href="' . esc_url($link) . '"' .  ($target == 'true' ? ' target="_blank"' : '') . '>' : '') .
		        '<img src="' . esc_url($image_src) . '"' . ($image_alt != '' ? ' alt="' . esc_attr($image_alt) . '"' : '') . ' />' .
		        ($link != '' ? '</a>' : '') .
		        ($caption != '' ? '<p class="cmsmasters_img_caption">' . esc_html($caption) . '</p>' : '') .
		        '</div>';


		$out .= ($align == 'center' ? '</div>' : '');
	}

	echo shopaddict_return_content($out);
}




