<?php
/**
 * @package 	WordPress
 * @subpackage 	Shopaddict
 * @version 	1.1.3
 * 
 * TGM-Plugin-Activation 2.6.1
 * Created by CMSMasters
 * 
 */


require_once(get_template_directory() . '/framework/class/class-tgm-plugin-activation.php');


if (!function_exists('shopaddict_register_theme_plugins')) {

function shopaddict_register_theme_plugins() { 
	$plugins = array(
		array( 
			'name'					=> esc_html__('CMSMasters Content Composer', 'shopaddict'), 
			'slug'					=> 'cmsmasters-content-composer', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/cmsmasters-content-composer.zip', 
			'required'				=> true, 
			'version'				=> '2.5.4',
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		),
		array(
			'name'					=> esc_html__('CMSMasters Custom Fonts', 'shopaddict'),
			'slug'					=> 'cmsmasters-custom-fonts',
			'source'				=> get_template_directory() . '/theme-vars/plugins/cmsmasters-custom-fonts.zip',
			'required'				=> true,
			'version'				=> '1.0.1',
			'force_activation'		=> false,
			'force_deactivation' 	=> false
		),
		array(
			'name'					=> esc_html__('CMSMasters Importer', 'shopaddict'),
			'slug'					=> 'cmsmasters-importer',
			'source'				=> get_template_directory() . '/theme-vars/plugins/cmsmasters-importer.zip',
			'required'				=> true,
			'version'				=> '1.0.7',
			'force_activation'		=> false,
			'force_deactivation' 	=> false
		),
		array( 
			'name' 					=> esc_html__('LayerSlider WP', 'shopaddict'), 
			'slug' 					=> 'LayerSlider', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/LayerSlider.zip', 
			'required'				=> false, 
			'version'				=> '7.11.1',
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		), 
		array( 
			'name' 					=> esc_html__('Revolution Slider', 'shopaddict'), 
			'slug' 					=> 'revslider', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/revslider.zip', 
			'required'				=> false, 
			'version'				=> '6.7.13',
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		), 
		array(
			'name'					=> esc_html__('Envato Market', 'shopaddict'),
			'slug'					=> 'envato-market',
			'source'				=> 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
			'required'				=> false
		), 
		array( 
			'name'					=> esc_html__('GDPR Cookie Consent', 'shopaddict'),
			'slug'					=> 'cookie-law-info',
			'required'				=> false 
		),
		array(
			'name'					=> esc_html__('Widget Importer & Exporter', 'shopaddict'),
			'slug'					=> 'widget-importer-exporter',
			'required'				=> false
		),
		array(
			'name' 					=> esc_html__('WooCommerce', 'shopaddict'),
			'slug' 					=> 'woocommerce',
			'required'				=> false
		),
		array(
			'name'					=> esc_html__('Instagram Feed', 'shopaddict'), 
			'slug'					=> 'instagram-feed', 
			'required'				=> false 
 		), 
		array( 
			'name' 					=> esc_html__('Contact Form 7', 'shopaddict'), 
			'slug' 					=> 'contact-form-7', 
			'required' 				=> false 
		), 
		array(
			'name'					=> esc_html__('MailPoet 3', 'shopaddict'),
			'slug'					=> 'mailpoet',
			'required'				=> false
		),
		array(
			'name'					=> esc_html__('Wow Countdown', 'shopaddict'),
			'slug'					=> 'mwp-countdown',
			'required'				=> false
		)
	);
	
	
	$config = array( 
		'id' => 			'shopaddict', 
		'menu' => 			'theme-required-plugins', 
		'strings' => array( 
			'page_title' => 	esc_html__('Theme Required & Recommended Plugins', 'shopaddict'), 
			'menu_title' => 	esc_html__('Theme Plugins', 'shopaddict'), 
			'return' => 		esc_html__('Return to Theme Required & Recommended Plugins', 'shopaddict') 
		) 
	);
	
	
	tgmpa($plugins, $config);
}

}

add_action('tgmpa_register', 'shopaddict_register_theme_plugins');

