<?php 
/**
 * @package 	WordPress
 * @subpackage 	Shopaddict
 * @version		1.1.1
 * 
 * Theme Settings Defaults
 * Created by CMSMasters
 * 
 */


/* Theme Settings General Default Values */
if (!function_exists('shopaddict_settings_general_defaults')) {

function shopaddict_settings_general_defaults($id = false) {
	$settings = array( 
		'general' => array( 
			'shopaddict' . '_theme_layout' => 		'liquid',
			'shopaddict' . '_logo_type' => 		'image',
			'shopaddict' . '_logo_url' => 			'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo.png',
			'shopaddict' . '_logo_url_retina' => 	'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_retina.png',
			'shopaddict' . '_logo_title' => 		get_bloginfo('name') ? get_bloginfo('name') : 'Shopaddict',
			'shopaddict' . '_logo_subtitle' => 	'',
			'shopaddict' . '_logo_custom_color' => 0,
			'shopaddict' . '_logo_title_color' => 	'',
			'shopaddict' . '_logo_subtitle_color' => 	''
		), 
		'bg' => array( 
			'shopaddict' . '_bg_col' => 			'#ffffff',
			'shopaddict' . '_bg_img_enable' => 	0,
			'shopaddict' . '_bg_img' => 			'',
			'shopaddict' . '_bg_rep' => 			'no-repeat',
			'shopaddict' . '_bg_pos' => 			'top center',
			'shopaddict' . '_bg_att' => 			'scroll',
			'shopaddict' . '_bg_size' => 			'cover'
		), 
		'header' => array( 
			'shopaddict' . '_fixed_header' => 				    1,
			'shopaddict' . '_header_overlaps' => 				1,
			'shopaddict' . '_header_top_line' => 				0,
			'shopaddict' . '_header_top_height' => 			'35',
			'shopaddict' . '_header_top_line_short_info' => 	'',
			'shopaddict' . '_header_top_line_add_cont' => 	    'social',
			'shopaddict' . '_header_styles' => 				'default',
			'shopaddict' . '_header_mid_height' => 			'76',
			'shopaddict' . '_header_search' => 				0,
			'shopaddict' . '_header_add_cont' => 				'social',
			'shopaddict' . '_header_add_cont_cust_html' => 	'',
			'shopaddict' . '_woocommerce_cart_dropdown' =>  	0
		), 
		'content' => array( 
			'shopaddict' . '_layout' => 					'r_sidebar',
			'shopaddict' . '_archives_layout' => 			'r_sidebar',
			'shopaddict' . '_search_layout' => 			'r_sidebar',
			'shopaddict' . '_other_layout' => 			    'r_sidebar',
			'shopaddict' . '_heading_alignment' => 		'center',
			'shopaddict' . '_heading_scheme' => 			'first',
			'shopaddict' . '_heading_bg_image_enable' => 	0,
			'shopaddict' . '_heading_bg_image' => 		    '',
			'shopaddict' . '_heading_bg_repeat' => 		'no-repeat',
			'shopaddict' . '_heading_bg_attachment' => 	'scroll',
			'shopaddict' . '_heading_bg_size' => 			'cover',
			'shopaddict' . '_heading_bg_color' => 		    '#f4f8fe',
			'shopaddict' . '_heading_height' => 			'214',
			'shopaddict' . '_breadcrumbs' => 				1,
			'shopaddict' . '_bottom_scheme' => 			'default',
			'shopaddict' . '_bottom_sidebar' => 			0,
			'shopaddict' . '_bottom_sidebar_layout' => 	'14141414'
		), 
		'footer' => array( 
			'shopaddict' . '_footer_scheme' => 				'footer',
			'shopaddict' . '_footer_type' => 					'small',
			'shopaddict' . '_footer_additional_content' => 	'none',
			'shopaddict' . '_footer_logo' => 					0,
			'shopaddict' . '_footer_logo_url' => 				'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_footer.png',
			'shopaddict' . '_footer_logo_url_retina' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_footer_retina.png',
			'shopaddict' . '_footer_nav' => 					0,
			'shopaddict' . '_footer_social' => 				0,
			'shopaddict' . '_footer_html' => 					'',
			'shopaddict' . '_footer_copyright' => 			    'This is a sample website - cmsmasters'   . ' &copy; ' . date('Y') . ' / ' . esc_html__('All Rights Reserved', 'shopaddict')
		)
	);
	
	
	$settings = apply_filters('shopaddict_settings_general_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



/* Theme Settings Fonts Default Values */
if (!function_exists('shopaddict_settings_font_defaults')) {

function shopaddict_settings_font_defaults($id = false) {
	$settings = array( 
		'content' => array( 
			'shopaddict' . '_content_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,700',
				'font_size' => 			'18',
				'line_height' => 		'26',
				'font_weight' => 		'normal', 
				'font_style' => 		'normal' 
			) 
		), 
		'link' => array( 
			'shopaddict' . '_link_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,700',
				'font_size' => 			'18',
				'line_height' => 		'26',
				'font_weight' => 		'400',
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'shopaddict' . '_link_hover_decoration' => 	'none'
		), 
		'nav' => array( 
			'shopaddict' . '_nav_title_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,700',
				'font_size' => 			'17',
				'line_height' => 		'20', 
				'font_weight' => 		'700',
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			), 
			'shopaddict' . '_nav_dropdown_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,700',
				'font_size' => 			'15',
				'line_height' => 		'30',
				'font_weight' => 		'400',
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			) 
		), 
		'heading' => array( 
			'shopaddict' . '_h1_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700',
				'font_size' => 			'45',
				'line_height' => 		'60',
				'font_weight' => 		'bold',
				'font_style' => 		'normal', 
				'text_transform' => 	'default',
				'text_decoration' => 	'none' 
			), 
			'shopaddict' . '_h2_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700',
				'font_size' => 			'32', 
				'line_height' => 		'40',
				'font_weight' => 		'bold',
				'font_style' => 		'normal', 
				'text_transform' => 	'default',
				'text_decoration' => 	'none' 
			), 
			'shopaddict' . '_h3_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700',
				'font_size' => 			'24',
				'line_height' => 		'32',
				'font_weight' => 		'bold',
				'font_style' => 		'normal', 
				'text_transform' => 	'default',
				'text_decoration' => 	'none' 
			), 
			'shopaddict' . '_h4_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700',
				'font_size' => 			'20', 
				'line_height' => 		'28',
				'font_weight' => 		'bold',
				'font_style' => 		'normal', 
				'text_transform' => 	'default',
				'text_decoration' => 	'none' 
			), 
			'shopaddict' . '_h5_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,700',
				'font_size' => 			'18', 
				'line_height' => 		'24', 
				'font_weight' => 		'bold',
				'font_style' => 		'normal', 
				'text_transform' => 	'default',
				'text_decoration' => 	'none' 
			), 
			'shopaddict' . '_h6_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,700',
				'font_size' => 			'16', 
				'line_height' => 		'20',
				'font_weight' => 		'normal',
				'font_style' => 		'normal',
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			) 
		), 
		'other' => array( 
			'shopaddict' . '_button_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,700',
				'font_size' => 			'15',
				'line_height' => 		'40', 
				'font_weight' => 		'bold',
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase' 
			), 
			'shopaddict' . '_small_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,700',
				'font_size' => 			'13', 
				'line_height' => 		'24', 
				'font_weight' => 		'bold',
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			), 
			'shopaddict' . '_input_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,700',
				'font_size' => 			'18',
				'line_height' => 		'42', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal' 
			), 
			'shopaddict' . '_quote_font' => array(
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Quicksand:300,400,700',
				'font_size' => 			'26',
				'line_height' => 		'42',
				'font_weight' => 		'bold',
				'font_style' => 		'normal'
			) 
		),
		'google' => array(
			'shopaddict' . '_google_web_fonts' => array(
				'Roboto:300,700|Roboto',
				'Roboto+Condensed:400,700|Roboto Condensed',
				'Open+Sans:300,400,700|Open Sans',
				'Source+Sans+Pro:300,400,700|Source Sans Pro',
				'Raleway:300,400,500,600,700|Raleway',
				'Quicksand:300,400,700|Quicksand',
				'Montserrat:400,700|Montserrat',
				'Karla:400,700|Karla',
				'Domine:400,700|Domine',
				'Arapey:400,400italic|Arapey',
				'Didact+Gothic|Didact Gothic',
				'Playfair+Display:400,700|Playfair Display',
				'Work+Sans:300,500,600,700|Work Sans',
				'Marmelad|Marmelad',
				'Biryani:900|Biryani',
				'Montserrat+Alternates:300|Montserrat Alternates',
				'Fredoka+One|Fredoka One',
				'Rubik+Mono+One|Rubik Mono One',
				'Forum|Forum',
				'Roboto+Mono:400,700|Roboto Mono'
			)
		)
	);
	
	
	$settings = apply_filters('shopaddict_settings_font_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// WP Color Picker Palettes
if (!function_exists('cmsmasters_color_picker_palettes')) {

function cmsmasters_color_picker_palettes() {
	$palettes = array( 
		'#797979',
		'#73c139',
		'#868a95',
		'#141e3a',
		'#ffffff', 
		'#f4f8fe',
		'#e6e6e6' 
	);
	
	
	return apply_filters('cmsmasters_color_picker_palettes_filter', $palettes);
}

}



// Theme Settings Color Schemes Default Colors
if (!function_exists('shopaddict_color_schemes_defaults')) {

function shopaddict_color_schemes_defaults($id = false) {
	$settings = array( 
		'default' => array( // content default color scheme
			'color' => 		'#797979',
			'link' => 		'#73c139',
			'hover' => 		'#868a95',
			'heading' => 	'#141e3a',
			'bg' => 		'#ffffff', 
			'alternate' => 	'#f4f8fe',
			'border' => 	'#e6e6e6' 
		), 
		'header' => array( // Header color scheme
			'mid_color' => 		'#141e3a',
			'mid_link' => 		'#141e3a',
			'mid_hover' => 		'#4f74f9',
			'mid_bg' => 		'rgba(255,255,255,0)',
			'mid_bg_scroll' => 	'#ffffff', 
			'mid_border' => 	'rgba(255,255,255,0)',
			'bot_color' => 		'#ffffff',
			'bot_link' => 		'#ffffff',
			'bot_hover' => 		'#ffffff',
			'bot_bg' => 		'rgba(255,255,255,0)',
			'bot_bg_scroll' => 	'#ffffff',
			'bot_border' => 	'#e1e1e1'
		), 
		'navigation' => array( // Navigation color scheme
			'title_link' => 			'#141e3a',
			'title_link_hover' => 		'#4f74f9',
			'title_link_current' => 	'#4f74f9',
			'title_link_subtitle' => 	'rgba(255,255,255,0)',
			'title_link_bg' => 			'rgba(255,255,255,0)', 
			'title_link_bg_hover' => 	'rgba(255,255,255,0)', 
			'title_link_bg_current' => 	'rgba(255,255,255,0)', 
			'title_link_border' => 		'rgba(255,255,255,0)', 
			'dropdown_text' => 			'#141e3a',
			'dropdown_bg' => 			'#ffffff', 
			'dropdown_border' => 		'rgba(225,225,225,0)',
			'dropdown_link' => 			'#141e3a',
			'dropdown_link_hover' => 	'#4f74f9',
			'dropdown_link_subtitle' => 'rgba(39,39,39,0.5)', 
			'dropdown_link_highlight' => 'rgba(255,255,255,0)',
			'dropdown_link_border' => 	'rgba(255,255,255,0)' 
		), 
		'header_top' => array( // Header Top color scheme
			'color' => 					'#141e3a',
			'link' => 					'#4f74f9',
			'hover' => 					'#73c139',
			'bg' => 					'rgba(255,255,255,0)', 
			'border' => 				'rgba(255,255,255,0.1)', 
			'title_link' => 			'#141e3a',
			'title_link_hover' => 		'#73c139',
			'title_link_bg' => 			'rgba(255,255,255,0)', 
			'title_link_bg_hover' => 	'rgba(255,255,255,0)', 
			'title_link_border' => 		'rgba(255,255,255,0)', 
			'dropdown_bg' => 			'#ffffff', 
			'dropdown_border' => 		'rgba(255,255,255,0)', 
			'dropdown_link' => 			'#141e3a',
			'dropdown_link_hover' => 	'#73c139',
			'dropdown_link_highlight' => 'rgba(255,255,255,0)', 
			'dropdown_link_border' => 	'rgba(255,255,255,0)' 
		), 
		'footer' => array( // Footer color scheme
			'color' => 		'rgba(255,255,255,0.6)',
			'link' => 		'rgba(255,255,255,0.7)',
			'hover' => 		'#ffffff',
			'heading' => 	'#ffffff',
			'bg' => 		'#272f3a',
			'alternate' => 	'#1c212a',
			'border' => 	'rgba(255,255,255,0.2)'
		), 
		'first' => array( // custom color scheme 1
			'color' => 		'#797979',
			'link' => 		'#73c139',
			'hover' => 		'#868a95',
			'heading' => 	'#141e3a',
			'bg' => 		'#ffffff',
			'alternate' => 	'#f4f8fe',
			'border' => 	'#e6e6e6'
		), 
		'second' => array( // custom color scheme 2
			'color' => 		'#797979',
			'link' => 		'#73c139',
			'hover' => 		'#868a95',
			'heading' => 	'#cc2c2c',
			'bg' => 		'#f7f7f7',
			'alternate' => 	'#f4f8fe',
			'border' => 	'#e6e6e6'
		), 
		'third' => array( // custom color scheme 3
			'color' => 		'#797979',
			'link' => 		'#73c139',
			'hover' => 		'#868a95',
			'heading' => 	'#141e3a',
			'bg' => 		'#ffffff',
			'alternate' => 	'#f4f8fe',
			'border' => 	'#e6e6e6'
		) 
	);
	
	
	$settings = apply_filters('shopaddict_color_schemes_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// Theme Settings Elements Default Values
if (!function_exists('shopaddict_settings_element_defaults')) {

function shopaddict_settings_element_defaults($id = false) {
	$settings = array( 
		'sidebar' => array( 
			'shopaddict' . '_sidebar' => 	''
		), 
		'icon' => array( 
			'shopaddict' . '_social_icons' => array(
				'cmsmasters-icon-facebook-1|#|' . esc_html__('Facebook', 'shopaddict') . '|true|#73c139|#141e3a',
				'cmsmasters-icon-instagram|#|' . esc_html__('Instagram', 'shopaddict') . '|true|#73c139|#141e3a',
				'cmsmasters-icon-twitter|#|' . esc_html__('Twitter', 'shopaddict') . '|true|#73c139|#141e3a',
				'cmsmasters-icon-youtube-play|#|' . esc_html__('YouTube', 'shopaddict') . '|true|#73c139|#141e3a'
			) 
		), 
		'lightbox' => array( 
			'shopaddict' . '_ilightbox_skin' => 					'dark',
			'shopaddict' . '_ilightbox_path' => 					'vertical',
			'shopaddict' . '_ilightbox_infinite' => 				0,
			'shopaddict' . '_ilightbox_aspect_ratio' => 			1,
			'shopaddict' . '_ilightbox_mobile_optimizer' => 		1,
			'shopaddict' . '_ilightbox_max_scale' => 				1,
			'shopaddict' . '_ilightbox_min_scale' => 				0.2,
			'shopaddict' . '_ilightbox_inner_toolbar' => 			0,
			'shopaddict' . '_ilightbox_smart_recognition' => 		0,
			'shopaddict' . '_ilightbox_fullscreen_one_slide' => 	0,
			'shopaddict' . '_ilightbox_fullscreen_viewport' => 	'center',
			'shopaddict' . '_ilightbox_controls_toolbar' => 		1,
			'shopaddict' . '_ilightbox_controls_arrows' => 		0,
			'shopaddict' . '_ilightbox_controls_fullscreen' => 	1,
			'shopaddict' . '_ilightbox_controls_thumbnail' => 	    1,
			'shopaddict' . '_ilightbox_controls_keyboard' => 		1,
			'shopaddict' . '_ilightbox_controls_mousewheel' => 	1,
			'shopaddict' . '_ilightbox_controls_swipe' => 		    1,
			'shopaddict' . '_ilightbox_controls_slideshow' => 	    0
		), 
		'sitemap' => array( 
			'shopaddict' . '_sitemap_nav' => 			1,
			'shopaddict' . '_sitemap_categs' => 		1,
			'shopaddict' . '_sitemap_tags' => 		    1,
			'shopaddict' . '_sitemap_month' => 		1,
			'shopaddict' . '_sitemap_pj_categs' => 	1,
			'shopaddict' . '_sitemap_pj_tags' => 		1
		), 
		'error' => array( 
			'shopaddict' . '_error_color' => 				'#141e3a',
			'shopaddict' . '_error_bg_color' => 			'rgba(255,255,255,0)',
			'shopaddict' . '_error_bg_img_enable' => 		0,
			'shopaddict' . '_error_bg_image' => 			'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/error_bg.jpg',
			'shopaddict' . '_error_bg_rep' => 			    'no-repeat',
			'shopaddict' . '_error_bg_pos' => 			    'top center',
			'shopaddict' . '_error_bg_att' => 			    'scroll',
			'shopaddict' . '_error_bg_size' => 			'cover',
			'shopaddict' . '_error_search' => 			    1,
			'shopaddict' . '_error_sitemap_button' => 	    1,
			'shopaddict' . '_error_sitemap_link' => 		''
		), 
		'code' => array( 
			'shopaddict' . '_custom_css' => 			'',
			'shopaddict' . '_custom_js' => 			'',
			'shopaddict' . '_gmap_api_key' => 		    '',
			'shopaddict' . '_twitter_access_data' => 	array(), 
		), 
		'recaptcha' => array( 
			'shopaddict' . '_recaptcha_public_key' => 	    '',
			'shopaddict' . '_recaptcha_private_key' => 	''
		) 
	);
	
	
	$settings = apply_filters('shopaddict_settings_element_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// Theme Settings Single Posts Default Values
if (!function_exists('shopaddict_settings_single_defaults')) {

function shopaddict_settings_single_defaults($id = false) {
	$settings = array( 
		'post' => array( 
			'shopaddict' . '_blog_post_layout' => 		    'r_sidebar',
			'shopaddict' . '_blog_post_title' => 			1,
			'shopaddict' . '_blog_post_date' => 			1,
			'shopaddict' . '_blog_post_cat' => 			1,
			'shopaddict' . '_blog_post_author' => 		    1,
			'shopaddict' . '_blog_post_comment' => 		1,
			'shopaddict' . '_blog_post_tag' => 			1,
			'shopaddict' . '_blog_post_like' => 			1,
			'shopaddict' . '_blog_post_nav_box' => 		1,
			'shopaddict' . '_blog_post_nav_order_cat' => 	0,
			'shopaddict' . '_blog_post_share_box' => 		1,
			'shopaddict' . '_blog_post_author_box' => 	    1,
			'shopaddict' . '_blog_more_posts_box' => 		'popular',
			'shopaddict' . '_blog_more_posts_count' => 	'3',
			'shopaddict' . '_blog_more_posts_pause' => 	'5'
		), 
		'project' => array( 
			'shopaddict' . '_portfolio_project_title' => 			1,
			'shopaddict' . '_portfolio_project_details_title' => 	esc_html__('Project details', 'shopaddict'),
			'shopaddict' . '_portfolio_project_date' => 			1,
			'shopaddict' . '_portfolio_project_cat' => 			1,
			'shopaddict' . '_portfolio_project_author' => 		    1,
			'shopaddict' . '_portfolio_project_comment' => 		0,
			'shopaddict' . '_portfolio_project_tag' => 			0,
			'shopaddict' . '_portfolio_project_like' => 			1,
			'shopaddict' . '_portfolio_project_link' => 			0,
			'shopaddict' . '_portfolio_project_share_box' => 		1,
			'shopaddict' . '_portfolio_project_nav_box' => 		1,
			'shopaddict' . '_portfolio_project_nav_order_cat' => 	0,
			'shopaddict' . '_portfolio_project_author_box' => 	    1,
			'shopaddict' . '_portfolio_more_projects_box' => 		'popular',
			'shopaddict' . '_portfolio_more_projects_count' => 	'4',
			'shopaddict' . '_portfolio_more_projects_pause' => 	'5',
			'shopaddict' . '_portfolio_project_slug' => 			'project',
			'shopaddict' . '_portfolio_pj_categs_slug' => 		    'pj-categs',
			'shopaddict' . '_portfolio_pj_tags_slug' => 			'pj-tags'
		), 
		'profile' => array( 
			'shopaddict' . '_profile_post_title' => 			1,
			'shopaddict' . '_profile_post_details_title' => 	esc_html__('Profile details', 'shopaddict'),
			'shopaddict' . '_profile_post_cat' => 			    1,
			'shopaddict' . '_profile_post_comment' => 		    1,
			'shopaddict' . '_profile_post_like' => 			1,
			'shopaddict' . '_profile_post_nav_box' => 		    1,
			'shopaddict' . '_profile_post_nav_order_cat' => 	0,
			'shopaddict' . '_profile_post_share_box' => 		1,
			'shopaddict' . '_profile_post_slug' => 			'profile',
			'shopaddict' . '_profile_pl_categs_slug' => 		'pl-categs'
		) 
	);
	
	
	$settings = apply_filters('shopaddict_settings_single_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



/* Project Puzzle Proportion */
if (!function_exists('shopaddict_project_puzzle_proportion')) {

function shopaddict_project_puzzle_proportion() {
	return 0.7414;
}

}



/* Theme Image Thumbnails Size */
if (!function_exists('shopaddict_get_image_thumbnail_list')) {

function shopaddict_get_image_thumbnail_list() {
	$list = array( 
		'cmsmasters-small-thumb' => array( 
			'width' => 		80, 
			'height' => 	80, 
			'crop' => 		true 
		), 
		'cmsmasters-square-thumb' => array( 
			'width' => 		300, 
			'height' => 	300, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Square', 'shopaddict')
		), 
		'cmsmasters-blog-masonry-thumb' => array( 
			'width' => 		580, 
			'height' => 	420, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Masonry Blog', 'shopaddict')
		), 
		'cmsmasters-project-thumb' => array( 
			'width' => 		580, 
			'height' => 	430, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Project', 'shopaddict')
		), 
		'cmsmasters-project-masonry-thumb' => array( 
			'width' => 		580, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry Project', 'shopaddict')
		), 
		'post-thumbnail' => array( 
			'width' => 		860, 
			'height' => 	500, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Featured', 'shopaddict')
		), 
		'cmsmasters-masonry-thumb' => array( 
			'width' => 		860, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry', 'shopaddict')
		), 
		'cmsmasters-full-thumb' => array( 
			'width' => 		1160, 
			'height' => 	600, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Full', 'shopaddict')
		), 
		'cmsmasters-project-full-thumb' => array( 
			'width' => 		1160, 
			'height' => 	600, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Project Full', 'shopaddict')
		), 
		'cmsmasters-full-masonry-thumb' => array( 
			'width' => 		1160, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry Full', 'shopaddict')
		) 
	);
	
	
	return $list;
}

}



/* Project Post Type Registration Rename */
if (!function_exists('shopaddict_project_labels')) {

function shopaddict_project_labels() {
	return array( 
		'name' => 					esc_html__('Projects', 'shopaddict'),
		'singular_name' => 			esc_html__('Project', 'shopaddict'),
		'menu_name' => 				esc_html__('Projects', 'shopaddict'),
		'all_items' => 				esc_html__('All Projects', 'shopaddict'),
		'add_new' => 				esc_html__('Add New', 'shopaddict'),
		'add_new_item' => 			esc_html__('Add New Project', 'shopaddict'),
		'edit_item' => 				esc_html__('Edit Project', 'shopaddict'),
		'new_item' => 				esc_html__('New Project', 'shopaddict'),
		'view_item' => 				esc_html__('View Project', 'shopaddict'),
		'search_items' => 			esc_html__('Search Projects', 'shopaddict'),
		'not_found' => 				esc_html__('No projects found', 'shopaddict'),
		'not_found_in_trash' => 	esc_html__('No projects found in Trash', 'shopaddict')
	);
}

}

// add_filter('cmsmasters_project_labels_filter', 'shopaddict_project_labels');


if (!function_exists('shopaddict_pj_categs_labels')) {

function shopaddict_pj_categs_labels() {
	return array( 
		'name' => 					esc_html__('Project Categories', 'shopaddict'),
		'singular_name' => 			esc_html__('Project Category', 'shopaddict')
	);
}

}

// add_filter('cmsmasters_pj_categs_labels_filter', 'shopaddict_pj_categs_labels');


if (!function_exists('shopaddict_pj_tags_labels')) {

function shopaddict_pj_tags_labels() {
	return array( 
		'name' => 					esc_html__('Project Tags', 'shopaddict'),
		'singular_name' => 			esc_html__('Project Tag', 'shopaddict')
	);
}

}

// add_filter('cmsmasters_pj_tags_labels_filter', 'shopaddict_pj_tags_labels');



/* Profile Post Type Registration Rename */
if (!function_exists('shopaddict_profile_labels')) {

function shopaddict_profile_labels() {
	return array( 
		'name' => 					esc_html__('Profiles', 'shopaddict'),
		'singular_name' => 			esc_html__('Profiles', 'shopaddict'),
		'menu_name' => 				esc_html__('Profiles', 'shopaddict'),
		'all_items' => 				esc_html__('All Profiles', 'shopaddict'),
		'add_new' => 				esc_html__('Add New', 'shopaddict'),
		'add_new_item' => 			esc_html__('Add New Profile', 'shopaddict'),
		'edit_item' => 				esc_html__('Edit Profile', 'shopaddict'),
		'new_item' => 				esc_html__('New Profile', 'shopaddict'),
		'view_item' => 				esc_html__('View Profile', 'shopaddict'),
		'search_items' => 			esc_html__('Search Profiles', 'shopaddict'),
		'not_found' => 				esc_html__('No Profiles found', 'shopaddict'),
		'not_found_in_trash' => 	esc_html__('No Profiles found in Trash', 'shopaddict')
	);
}

}

// add_filter('cmsmasters_profile_labels_filter', 'shopaddict_profile_labels');


if (!function_exists('shopaddict_pl_categs_labels')) {

function shopaddict_pl_categs_labels() {
	return array( 
		'name' => 					esc_html__('Profile Categories', 'shopaddict'),
		'singular_name' => 			esc_html__('Profile Category', 'shopaddict')
	);
}

}

// add_filter('cmsmasters_pl_categs_labels_filter', 'shopaddict_pl_categs_labels');

