<?php
/**
 * @package 	WordPress
 * @subpackage 	Shopaddict
 * @version 	1.0.0
 *
 * WooCommerce Content Composer Functions
 * Created by CMSMasters
 *
 */


/* Register JS Scripts */
function shopaddict_woocommerce_register_c_c_scripts() {
	global $pagenow;


	if (
		$pagenow == 'post-new.php' ||
		($pagenow == 'post.php' && isset($_GET['post']) && get_post_type($_GET['post']) != 'attachment')
	) {
		wp_enqueue_script('shopaddict-woocommerce-extend', get_template_directory_uri() . '/woocommerce/cmsmasters-framework/theme-style' . CMSMASTERS_THEME_STYLE . '/cmsmasters-c-c/js/cmsmasters-c-c-plugin-extend.js', array('cmsmasters_composer_shortcodes_js'), '1.0.0', true);

		wp_localize_script('shopaddict-woocommerce-extend', 'cmsmasters_woocommerce_shortcodes', array(
			'product_ids' => 								shopaddict_woocommerce_product_ids(),
			'products_title' =>								esc_html__('Products', 'shopaddict'),
			'products_shortcode_title' =>					esc_html__('WooCommerce Shortcode', 'shopaddict'),
			'products_shortcode_descr' =>					esc_html__('Choose a WooCommerce shortcode to use', 'shopaddict'),
			'choice_recent_products' =>						esc_html__('Recent Products', 'shopaddict'),
			'choice_featured_products' =>					esc_html__('Featured Products', 'shopaddict'),
			'choice_product_categories' =>					esc_html__('Product Categories', 'shopaddict'),
			'choice_sale_products' =>						esc_html__('Sale Products', 'shopaddict'),
			'choice_best_selling_products' =>				esc_html__('Best Selling Products', 'shopaddict'),
			'choice_top_rated_products' =>					esc_html__('Top Rated Products', 'shopaddict'),
			'choice_small_product' =>						esc_html__('Small Product', 'shopaddict'),
			'choice_full_product' =>						esc_html__('Full Product', 'shopaddict'),
			'products_field_orderby_descr' =>				esc_html__("Choose your products 'order by' parameter", 'shopaddict'),
			'products_field_orderby_descr_note' =>			esc_html__("Sorting will not be applied for", 'shopaddict'),
			'products_field_prod_number_title' =>			esc_html__('Number of Products', 'shopaddict'),
			'products_field_prod_number_descr' =>			esc_html__('Enter the number of products for showing per page', 'shopaddict'),
			'products_field_col_count_descr' =>				esc_html__('Choose number of products per row', 'shopaddict'),
			'selected_products_title' =>					esc_html__('Selected Products', 'shopaddict'),
			'selected_products_field_ids' => 				esc_html__('Products', 'shopaddict'),
			'selected_products_field_ids_descr' => 			esc_html__('Choose products to be shown', 'shopaddict'),
			'selected_products_field_ids_descr_note' => 	esc_html__('All products will be shown if empty', 'shopaddict'),
			'single_products_shortcode_title' =>			esc_html__('Select Style', 'shopaddict'),
			'single_products_shortcode_descr' =>			esc_html__('Choose product style to be shown', 'shopaddict'),
			'product_single_field_prmeta_title' =>			esc_html__('Product Metadata', 'shopaddict'),
			'product_single_field_prmeta_descr' =>			esc_html__('Choose product metadata you want to be shown', 'shopaddict'),
			'product_single_field_choice_descriptions' =>	esc_html__('Description', 'shopaddict'),
			'product_single_field_choice_rating' =>			esc_html__('Rating', 'shopaddict'),
			'product_single_field_choice_price' =>			esc_html__('Price', 'shopaddict'),
			'single_products_title' =>						esc_html__('Single Products', 'shopaddict')
		));
	}
}

add_action('admin_enqueue_scripts', 'shopaddict_woocommerce_register_c_c_scripts');



/* Product IDs */
function shopaddict_woocommerce_product_ids() {
	$product_ids = get_posts(array(
		'numberposts' => -1,
		'post_type' => 'product'
	));


	$out = array();


	if (!empty($product_ids)) {
		foreach ($product_ids as $product_id) {
			$out[$product_id->ID] = esc_html($product_id->post_title);
		}
	}


	return $out;
}

