<?php
/**
 * @package 	WordPress
 * @subpackage 	Shopaddict
 * @version 	1.0.0
 *
 * Yith WooCommerce Product Countdown Colors Rules
 * Created by CMSMasters
 *
 */


function shopaddict_yith_woocommerce_product_countdown_colors($custom_css) {
	$cmsmasters_option = shopaddict_get_global_options();


	$cmsmasters_color_schemes = cmsmasters_color_schemes_list();


	foreach ($cmsmasters_color_schemes as $scheme => $title) {
		$rule = (($scheme != 'default') ? "html .cmsmasters_color_scheme_{$scheme} " : '');


		$custom_css .= "
/***************** Start {$title} Yith WooCommerce Product Countdown Colors Scheme Rules ******************/
	
	/* Start Primary Color */
	/* Finish Primary Color */

	/* Start Headings Color */
	{$rule}.cmsmasters_products .cmsmasters_product .ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount>span,
	{$rule}.full_product .ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount>span, 
	{$rule}.cmsmasters_product_single_shortcode .ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount>span, 
	{$rule}.ywpc-countdown-loop > .ywpc-timer > div > .ywpc-label, 
	{$rule}.ywpc-countdown>.ywpc-header, 
	{$rule}.ywpc-countdown-loop > .ywpc-header,
	{$rule}.ywpc-sale-bar>.ywpc-header {
		" . cmsmasters_color_css('color', $cmsmasters_option['shopaddict' . '_' . $scheme . '_heading']) . "
	}
	/* Finish Headings Color */

	/* Start Main Background Color */
	{$rule}.ywpc-countdown {
		" . cmsmasters_color_css('background-color', $cmsmasters_option['shopaddict' . '_' . $scheme . '_bg']) . "
	}
	/* Finish Main Background Color */
	
	{$rule}.ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount span {
		background:transparent;
	}
	
/***************** Finish {$title} Yith WooCommerce Product Countdown Colors Scheme Rules ******************/

";
	}


	return $custom_css;
}

add_filter('shopaddict_theme_colors_secondary_filter', 'shopaddict_yith_woocommerce_product_countdown_colors');

