<?php
/**
 * @package 	WordPress
 * @subpackage 	Shopaddict
 * @version 	1.0.0
 *
 * Yith WooCommerce Product Countdown Fonts Rules
 * Created by CMSMasters
 *
 */


function shopaddict_yith_woocommerce_product_countdown_fonts($custom_css) {
	$cmsmasters_option = shopaddict_get_global_options();


	$custom_css .= "
/***************** Start Yith WooCommerce Product Countdown Font Styles ******************/
/* Start H2 Font */
.cmsmasters_products .cmsmasters_product .ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount>span {
	font-family:" . shopaddict_get_google_font($cmsmasters_option['shopaddict' . '_h2_font_google_font']) . $cmsmasters_option['shopaddict' . '_h2_font_system_font'] . ";
	font-size:" . $cmsmasters_option['shopaddict' . '_h2_font_font_size'] . "px;
	line-height:" . $cmsmasters_option['shopaddict' . '_h2_font_line_height'] . "px;
	font-weight:" . $cmsmasters_option['shopaddict' . '_h2_font_font_weight'] . ";
	font-style:" . $cmsmasters_option['shopaddict' . '_h2_font_font_style'] . ";
	text-transform:" . $cmsmasters_option['shopaddict' . '_h2_font_text_transform'] . ";
	text-decoration:" . $cmsmasters_option['shopaddict' . '_h2_font_text_decoration'] . ";
}

.cmsmasters_products .cmsmasters_product .ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount>span {
	line-height:" . ((int) $cmsmasters_option['shopaddict' . '_h2_font_line_height'] + 16) . "px;
}

.cmsmasters_product_single_shortcode.small_product .ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount>span {
	font-size:" . ((int) $cmsmasters_option['shopaddict' . '_h2_font_font_size'] - 6) . "px;
	line-height:" . ((int) $cmsmasters_option['shopaddict' . '_h2_font_line_height'] + 8) . "px;
}
/* Finish H2 Font */

/* Start H3 Font */
.cmsmasters_product_single_shortcode .ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount>span,
.full_product .ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount>span {
	font-family:" . shopaddict_get_google_font($cmsmasters_option['shopaddict' . '_h3_font_google_font']) . $cmsmasters_option['shopaddict' . '_h3_font_system_font'] . ";
	font-size:" . $cmsmasters_option['shopaddict' . '_h3_font_font_size'] . "px;
	line-height:" . $cmsmasters_option['shopaddict' . '_h3_font_line_height'] . "px;
	font-weight:" . $cmsmasters_option['shopaddict' . '_h3_font_font_weight'] . ";
	font-style:" . $cmsmasters_option['shopaddict' . '_h3_font_font_style'] . ";
	text-transform:" . $cmsmasters_option['shopaddict' . '_h3_font_text_transform'] . ";
	text-decoration:" . $cmsmasters_option['shopaddict' . '_h3_font_text_decoration'] . ";
}

.cmsmasters_product_single_shortcode .ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount>span,
.full_product .ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount>span {
	font-size:" . ((int) $cmsmasters_option['shopaddict' . '_h3_font_font_size'] + 8) . "px;
	line-height:" . ((int) $cmsmasters_option['shopaddict' . '_h3_font_line_height'] + 8) . "px;
}
/* Finish H3 Font */

/* Start H5 Font */
.ywpc-countdown>.ywpc-header,
.ywpc-countdown-loop>.ywpc-header,
.full_product .ywpc-countdown-loop>.ywpc-header,  
.ywpc-sale-bar>.ywpc-header {
	font-family:" . shopaddict_get_google_font($cmsmasters_option['shopaddict' . '_h5_font_google_font']) . $cmsmasters_option['shopaddict' . '_h5_font_system_font'] . ";
	font-size:" . $cmsmasters_option['shopaddict' . '_h5_font_font_size'] . "px;
	line-height:" . $cmsmasters_option['shopaddict' . '_h5_font_line_height'] . "px;
	font-weight:" . $cmsmasters_option['shopaddict' . '_h5_font_font_weight'] . ";
	font-style:" . $cmsmasters_option['shopaddict' . '_h5_font_font_style'] . ";
	text-transform:" . $cmsmasters_option['shopaddict' . '_h5_font_text_transform'] . ";
	text-decoration:" . $cmsmasters_option['shopaddict' . '_h5_font_text_decoration'] . ";
}

.ywpc-countdown-loop>.ywpc-timer>div>.ywpc-amount>span {
	font-size:" . ((int) $cmsmasters_option['shopaddict' . '_h5_font_font_size'] + 2) . "px;
}

.ywpc-countdown-loop>.ywpc-header {
	font-size:" . ((int) $cmsmasters_option['shopaddict' . '_h5_font_font_size'] - 2) . "px;
}

/* Finish H5 Font */

/* Start H6 Font */

.ywpc-countdown-loop > .ywpc-timer > div > .ywpc-label {
	font-family:" . shopaddict_get_google_font($cmsmasters_option['shopaddict' . '_h6_font_google_font']) . $cmsmasters_option['shopaddict' . '_h6_font_system_font'] . ";
	font-size:" . $cmsmasters_option['shopaddict' . '_h6_font_font_size'] . "px;
	line-height:" . $cmsmasters_option['shopaddict' . '_h6_font_line_height'] . "px;
	font-weight:" . $cmsmasters_option['shopaddict' . '_h6_font_font_weight'] . ";
	font-style:" . $cmsmasters_option['shopaddict' . '_h6_font_font_style'] . ";
}

/* Finish H6 Font */
	
	
/***************** Finish Yith WooCommerce Product Countdown Font Styles ******************/

";


	return $custom_css;
}

add_filter('shopaddict_theme_fonts_filter', 'shopaddict_yith_woocommerce_product_countdown_fonts');

